Bug 173132 - Feature request: Yum to use local mirror list
Feature request: Yum to use local mirror list
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-14 09:57 EST by Yoshihiro Totaka
Modified: 2014-01-21 17:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 16:05:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yoshihiro Totaka 2005-11-14 09:57:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
Currently yum mirror list is located at fedora.redhat.com.
This makes yum to fail if user can not reach the web site.
The web site could become unreachable with multiple reasons such as
the site being down, or various Internet problem. 
(i.e., BGP problem, filtering, etc.)

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Use yum
2.fedora.redhat.com is unreachable for some reason
3.
  

Actual Results:  unable to use yum without changing the configuration

Expected Results:  yum to use local mirror site list to workaround the problem.

Additional info:
Comment 1 Jesse Keating 2006-01-24 19:01:04 EST
Having a local list could become outdated.  However the mirror list file could
also be sent out as an update.  These are just my thoughts, I'm reassigning the
bug to yum, to get their thoughts on the idea.
Comment 2 Patrick Barnes 2006-02-22 09:13:45 EST
The default configuration is set in fedora-release, and this is where the   
change would need to take place.  I'm adjusting the component accordingly.    
This is something that we can fix for future releases, so I'm changing the   
version accordingly.  We can talk about backporting once it is fixed in devel.   
   
I'm not entirely convinced that including a mirror list in the distribution is   
the way to go.   
   
Other ideas:   
   
 * Get the mirror list included in the repositories, so that all mirrors  
contain the list.  
 * Split the yum config into a separate package to facilitate regular updates  
with a local list.  
 * A GUI tool for configuring yum might convince more users to set up their  
mirrors.  This could be integrated with something like firstboot.  
 
Our work to get bouncer working for mirror management will also provide a good 
improvement in this direction. 
 
Comment 3 Seth Vidal 2006-02-22 09:21:07 EST
another, easier option.

Don't include the mirrorlist and we modify yum to download and store a
mirrorlist on the first run and it expires the mirrorlist at a similar
time-scale as the repomd.xml expiration.

Comment 4 Jeremy Katz 2006-04-26 16:05:51 EDT
Keeping the mirror list isn't going to scale.  And I'm not convinced that saving
the mirror list will really buy us much either.  We really just need to continue
forward on the improvements on the infrastructure side so that the chances of
not being able to get the mirror list are near zero

Note You need to log in before you can comment on or make changes to this bug.